## libcec-platform 1.0.10+dfsg1

=== CMakeLists.txt ===
project(platform)

cmake_minimum_required(VERSION 2.8.9)
enable_language(CXX)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Threads REQUIRED)
include(UseMultiArch.cmake)
include(CheckAtomic.cmake)

set(platform_NAME platform)
set(platform_DESCRIPTION "Platform support library")
set(platform_VERSION_MAJOR 1)
set(platform_VERSION_MINOR 0)
set(platform_VERSION_PATCH 10)

set(CMAKE_POSITION_INDEPENDENT_CODE on)

if(WIN32)
  set(PLAT_SOURCES src/windows/dlfcn-win32.cpp
                   src/windows/os-threads.cpp)
endif()

set(platform_INCLUDE_DIRS "${CMAKE_INSTALL_PREFIX}/include/platform")
IF(WIN32)
  LIST(APPEND platform_INCLUDE_DIRS "${CMAKE_INSTALL_PREFIX}/include/platform/windows")
ENDIF(WIN32)
set(platform_LIBRARIES ${CMAKE_THREAD_LIBS_INIT})

if(NOT ${CORE_SYSTEM_NAME} STREQUAL "")
  if(${CORE_SYSTEM_NAME} STREQUAL "darwin" OR ${CORE_SYSTEM_NAME} STREQUAL "ios")
    list(APPEND platform_LIBRARIES "-framework CoreVideo -framework IOKit")
  endif()
endif()

set(SOURCES src/util/fstrcmp.c
            src/util/StringUtils.cpp)

add_library(platform ${SOURCES} ${PLAT_SOURCES})
target_link_libraries(platform ${platform_LIBRARIES})
set_target_properties(platform PROPERTIES VERSION ${platform_VERSION_MAJOR}.${platform_VERSION_MINOR}.${platform_VERSION_PATCH}
                                              SOVERSION ${platform_VERSION_MAJOR}.0)

install(TARGETS platform DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES src/os.h DESTINATION include/platform)
IF(WIN32)
  INSTALL(FILES src/windows/dlfcn-win32.h
                src/windows/os-socket.h
                src/windows/os-threads.h
                src/windows/os-types.h
          DESTINATION include/platform/windows)
ELSE(WIN32)
  install(FILES src/posix/os-socket.h
                src/posix/os-threads.h
                src/posix/os-types.h
          DESTINATION include/platform/posix)
ENDIF(WIN32)
install(FILES src/sockets/cdevsocket.h
              src/sockets/socket.h
              src/sockets/tcp.h
        DESTINATION include/platform/sockets)
install(FILES src/threads/atomics.h
              src/threads/mutex.h
              src/threads/threads.h
        DESTINATION include/platform/threads)
install(FILES src/util/atomic.h
              src/util/buffer.h
              src/util/StringUtils.h
              src/util/StdString.h
              src/util/timeutils.h
              src/util/util.h
        DESTINATION include/platform/util)

IF(NOT WIN32)
  # Pkgconfig
  include(PkgConfigHandler.cmake)
  configure_pc_file(platform platform.pc.in
                                 platform.pc
                                 ${CMAKE_INSTALL_PREFIX}
                                 ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}
                                 ${CMAKE_INSTALL_PREFIX}/include)

  install(FILES ${CMAKE_BINARY_DIR}/platform.pc
          DESTINATION ${CMAKE_INSTALL_LIBDIR_NOARCH}/pkgconfig)
ENDIF(NOT WIN32)

# config mode
configure_file (platform-config.cmake.in
                platform-config.cmake @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/platform-config.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR_NOARCH}/platform)

=== debian/changelog ===
libcec-platform (1.0.10+dfsg1-8) unstable; urgency=medium

  * Always use system's builtin atomic operations
  * Add symbols appearing on arm64

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 23 Dec 2015 21:43:04 +0100

libcec-platform (1.0.10+dfsg1-7) unstable; urgency=medium

  * Change name to libcec-platform in pkg-config, too
  * Fix library path in pkgconfig configuration file

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 20 Aug 2015 12:00:40 +0200

libcec-platform (1.0.10+dfsg1-6) unstable; urgency=medium

  * Upload to unstable

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 06 Aug 2015 18:00:13 +0200

libcec-platform (1.0.10+dfsg1-5) experimental; urgency=medium

  * Add versioned g++ build dependency to help GCC 5 transition
  * Update symbols file for GCC 5 transition
  * Rename library package for the GCC 5 transition

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 03 Aug 2015 23:00:11 +0200

libcec-platform (1.0.10+dfsg1-4) unstable; urgency=medium

  * Make -dev package depend on libfstrcmp-dev

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 30 Jul 2015 10:53:03 +0200

libcec-platform (1.0.10+dfsg1-2) unstable; urgency=medium

  * Update symbols file based on i386 build
  * Update symbols file based on arm64 build

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 29 Jul 2015 00:28:11 +0200

libcec-platform (1.0.10+dfsg1-1) unstable; urgency=medium

  * Remove changelog.in
  * Update debian/copyright
  * Add watch file
  * Covert package to being non-native
  * Bump compat level to 9
  * Bump standards version
  * Use system's fstrcmp()
  * Rename library to cec-platform to use a less generic name
  * Add misc:Depends to libcec-platform1
  * Upload to Debian (Closes: #793329)
  * Use more conventional calling of cmake in debian/rules
  * Move pkgconfig and cmake config file to multiarch location
  * Don't duplicate Section in libcec-platform1
  * Add homepage
  * Add symbols file

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 22 Jul 2015 20:51:47 +0200

platform (1.0.10-1~trusty) trusty; urgency=medium

  * fixed: posix socket return value for connect

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Tue, 30 Jun 2015 10:53:06 +0100

platform (1.0.9-1~trusty) trusty; urgency=medium

  * fixed: add missing stdio.h include in windows/os-socket.h

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Wed, 13 May 2015 10:01:43 +0100

platform (1.0.8-1~trusty) trusty; urgency=medium

  * added: cdevsocket.h character device socket
  * fixed: guards for #defines on OS X and iOS for values already defined in
    CFPlugInCOM.h

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Mon, 11 May 2015 09:33:17 +0100

platform (1.0.7-1~trusty) trusty; urgency=medium

  * fixed: include on OS X

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Fri, 08 May 2015 22:15:23 +0100

platform (1.0.6-1~trusty) trusty; urgency=medium

  * fixed: add include path and link the threads lib
  * (re-)added: public Reset() function in CEvent
  * sync UseMultiArch.cmake

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Thu, 07 May 2015 21:20:00 +0100

platform (1.0.5-1~trusty) trusty; urgency=medium

  * fixed: missing #include <string> in socket.h

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Mon, 04 May 2015 01:29:00 +0100

platform (1.0.4-1~trusty) trusty; urgency=medium

  * proper platform.pc.in fix

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Sun, 03 May 2015 21:56:00 +0100

platform (1.0.3-1~trusty) trusty; urgency=medium

  * platform.pc.in fix

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Fri, 01 May 2015 14:38:00 +0100

platform (1.0.2-1~trusty) trusty; urgency=medium

  * Build fixes

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Fri, 01 May 2015 01:38:00 +0100

platform (1.0.0-1~trusty) trusty; urgency=medium

  * Initial release

 -- Pulse-Eight Packaging <packaging@pulse-eight.com>  Thu, 12 Mar 2015 13:35:07 +0100

=== debian/control ===
Source: libcec-platform
Priority: extra
Maintainer: Lars Op den Kamp <lars.opdenkamp@pulse-eight.com>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9), cmake (>= 2.8.9), libfstrcmp-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/Pulse-Eight/platform
Vcs-Git: git://anonscm.debian.org/collab-maint/libcec-platform.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libcec-platform.git

Package: libcec-platform-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcec-platform1v5 (= ${binary:Version}), ${misc:Depends}, libfstrcmp-dev, g++ (>= 4:5.2)
Provides: libcec-platform-dev
Description: CEC Platform support library -- development files
 Platform support library for libCEC. It includes C++ wrappers for
 platform-specific atomic operations, threading, sockets and also
 string utilities.
 .
 This package provides the necessary files needed for development.

Package: libcec-platform1v5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libcec-platform1
Replaces: libcec-platform1
Provides: libcec-platform
Description: CEC Platform support library
 Platform support library for libCEC. It includes C++ wrappers for
 platform-specific atomic operations, threading, sockets and also
 string utilities.

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,uversionmangle=s/_/./g,dversionmangle=s/.dfsg[0-9]*// \
	 https://github.com/Pulse-Eight/platform/tags .*/(?:v||platform[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
